/*

  video functions header

*/

#ifndef VIDEOWIN_H
#define VIDEOWIN_H

#define DIRECTDRAW_VERSION 0x0300
#define _WIN32_WINNT 0x0400

#include <ddraw.h>
#include <windows.h>
#include <stdio.h>
#include <stdlib.h>

#include "../video.h"


// the ineherited class

class videowin: public video
{
private:

	HINSTANCE hinst; 
	IDirectDraw2* g_pDD2;
	IDirectDrawSurface* g_pDD2SPrimary;
	IDirectDrawSurface* g_pDD2SBack;
	HINSTANCE hdll;
	int oldresX,oldresY,oldresBPP;
	int vbufx,vbufy;
	unsigned long int* addbuf;

	// render ones

	unsigned long int* oldframe;
	unsigned long int* curframe;

public:

	videowin();
	void setViewport(int vbx,int vby);
	int init(unsigned long int**,int,int);
	void free(unsigned long int**);
	void blit(unsigned long int* buf);
	void clear(unsigned long int* buf);

	void remapCursor(int vm,int*,int*);
	void setHinstance(HINSTANCE hi);
	HWND getHwnd();
};

#endif