
/*

  System 16 cpucore

*/

#ifndef S16CPUCORE_H
#define S16CPUCORE_H

#include "cpucore.h"

class s16cpucore: public cpucore
{
private:

	char romname[64];

	// z80
	
	CONTEXTMZ80 ctx1;
	short int* sndbuf[2];
	short int* realsoundbuf;
	int sndbufsize;

	void draw_bg(unsigned long int* video,tCharset* chset,int scrollx,int scrolly,unsigned short int *page);
	void draw_text(unsigned long int* video,tCharset* chset);
	void draw_sprites(unsigned long int* video,tCharset* chset,int pri);
	void update_controls();
	void checkquickstate();

public:

	s16cpucore(tRomSpace* roms);
	~s16cpucore();

	void a68kReset();
	void emulate(int snd);
	void build_palette(tCharset* chset);
	void drawScreen(unsigned long int* video,tCharset* chset);
};

#endif