
/*

  Generic video (display) class
  implementations should inherit from this

*/


#ifndef VIDEO_H
#define VIDEO_H


class video
{
private:

public:

	virtual void setViewport(int,int)=0;
	virtual void blit(unsigned long int* buf)=0;
	virtual void clear(unsigned long int* buf)=0;
	virtual int init(unsigned long int**,int,int)=0;
	virtual void free(unsigned long int**)=0;
};


#endif